package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderCut;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesWorkOrderCutService extends IBaseMesService<MesWorkOrderCut> {

    @ApiOperation("生成裁片工单")
    void doGenerateCutWorkOrder(List<Long> workOrderIds, String cutCode, String remark, String organizeCode, String userName);

    @ApiOperation("发布裁片工单")
    void doReleaseCutWorkOrder(List<String> cutWorkOrderNos, String organizeCode, String userName);

    @ApiOperation("打印裁片工单")
    void doPrintCutWorkOrder(List<String> cutWorkOrderNos, String organizeCode, String userName);

}
